> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Proxies Renew

> Updates the auto-renew settings of one or more proxy servers.

You can specify whether you want specific proxies to automatically allocate time when they expire. If enabled, the proxy will automatically renew for the same amount of time as the current period.

<Warning>
  If disabled, the proxy will expire and be removed from your account unless you manually allocate time it.
</Warning>


## OpenAPI

````yaml PATCH /v1/proxies/allocate/renew
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/proxies/allocate/renew:
    patch:
      description: Updates the auto-renew settings of one or more proxy servers.
      requestBody:
        description: Allocate proxy details
        content:
          application/json:
            schema:
              type: object
              properties:
                proxies:
                  type: object
                  description: Object containing a list of proxies to allocate.
                  properties:
                    time:
                      type: array
                      description: >-
                        List of proxies to allocate time to. Each item should
                        include `proxy_name`, `interval` and `period`.
                      items:
                        type: object
                        properties:
                          proxy_name:
                            type: string
                            description: Unique identifier of the proxy server
                          interval:
                            type: integer
                            description: >-
                              Interval for renewal period. e.g., `2` weeks. If
                              `interval` = `0`, then auto-renew will be
                              disabled.
                          auto_renew:
                            type: boolean
                            description: Indicates whether the expiration auto-renews
                            example: true
                        required:
                          - proxy_name
                          - auto_renew
                          - interval
                  required:
                    - time
                  example:
                    time:
                      - proxy_name: IL-US-AU1-9999
                        auto_renew: true
                        interval: 1
                      - proxy_name: IL-US-AU1-9998
                        auto_renew: true
                        interval: 1
              required:
                - proxies
      responses:
        '202':
          description: Server response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    description: Indicates whether the request was successful e.g., `true`
                  message:
                    type: string
                    description: Success message
                    example: Sent proxy allocation renew settings successfully.
                  data:
                    $ref: '#/components/schemas/proxy-allocate-renew'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    proxy-allocate-renew:
      type: object
      properties:
        proxies:
          type: object
          description: Object containing a list of proxies to update.
          properties:
            time:
              type: array
              description: >-
                List of proxies to update allocation renew settings for. Each
                item should include `proxy_name`, `interval` and `auto_renew`.
              items:
                type: object
                properties:
                  proxy_name:
                    type: string
                    description: Unique identifier of the proxy server
                  interval:
                    type: integer
                    description: >-
                      Interval for renewal period. e.g., `2` weeks. If
                      `interval` = `0`, then auto-renew will be disabled.
                  auto_renew:
                    type: boolean
                    description: Indicates whether the expiration auto-renews
                    example: true
                required:
                  - proxy_name
                  - auto_renew
      example:
        proxies:
          time:
            - proxy_name: IL-US-AU1-9999
              auto_renew: true
              interval: 1
    Error:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            proxy_name:
              type: string
              description: Unique identifier of the proxy server
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          proxy_name: ILL-US-AU1-9999
        message: Proxy not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey
      description: >-
        The `Authorization` header is used to authenticate with the API using
        your `Master` API key. Value is of the format `Bearer YOUR_KEY_HERE`.

````